| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::GeoIfaceSharedData Class Reference
Inheritance diagram for Digikam::GeoIfaceSharedData:

## Public Member Functions
bool | hasRegionSelection () const

## Public Attributes
Objects
MapWidget * | worldMapWidget
TileGrouper * | tileGrouper
AbstractMarkerTiler * | markerModel
GeoIfaceCluster::List | clusterList
QList< GeoModelHelper * > | ungroupedModels
TrackManager * | trackManager
Display options
bool | showThumbnails
int | thumbnailSize
int | thumbnailGroupingRadius
int | markerGroupingRadius
bool | previewSingleItems
bool | previewGroupedItems
bool | showNumbersOnItems
int | sortKey
bool | modificationsAllowed
Current map state
GeoCoordinates::Pair | selectionRectangle
bool | haveMovingCluster
GeoMouseModes | currentMouseMode
GeoMouseModes | availableMouseModes
GeoMouseModes | visibleMouseModes
bool | activeState

## Member Function Documentation

## ◆ hasRegionSelection()

bool Digikam::GeoIfaceSharedData::hasRegionSelection | ( |  | ) | const
| inline